DynamicMockError
Date: 2015-09-15

org.jmock.core

## Class DynamicMockError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.AssertionError
      - - junit.framework.AssertionFailedError
        - - org.jmock.core.DynamicMockError

- All Implemented Interfaces:
    java.io.Serializable

      public class DynamicMockError
      extends junit.framework.AssertionFailedError

  Since:
    1.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `InvocationDispatcher` | `dispatcher`
    `DynamicMock` | `dynamicMock`
    `Invocation` | `invocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicMockError(DynamicMock dynamicMock, Invocation invocation, InvocationDispatcher dispatcher, java.lang.String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.StringBuffer` | `writeTo(java.lang.StringBuffer buffer)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dynamicMock

          public final DynamicMock dynamicMock

    - #### invocation

          public final Invocation invocation

    - #### dispatcher

          public final InvocationDispatcher dispatcher

  - ### Constructor Detail

    - #### DynamicMockError

          public DynamicMockError(DynamicMock dynamicMock,
                          Invocation invocation,
                          InvocationDispatcher dispatcher,
                          java.lang.String message)

  - ### Method Detail

    - #### writeTo

          public java.lang.StringBuffer writeTo(java.lang.StringBuffer buffer)

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`